<script>
import { GlBreadcrumb } from '@gitlab/ui';
import { WORKFLOW_INDEX_APP, WORKFLOW_NEW_APP, WORKFLOW_SHOW_APP } from './constants';

export default {
  name: 'WorkflowBreadcrumb',
  components: {
    GlBreadcrumb,
  },
  computed: {
    items() {
      return [{ text: 'GitLab Duo Workflow', to: '/' }].concat(this.currentPageData);
    },
    currentPageData() {
      const workflowsRoute = { text: 'Workflows', to: '/workflows' };
      switch (this.$route.name) {
        case WORKFLOW_INDEX_APP:
          return [workflowsRoute];
        case WORKFLOW_SHOW_APP:
          return [
            workflowsRoute,
            {
              text: this.$route.params.workflowId,
              to: `${this.$route.params.workflowId}`,
            },
          ];
        default:
          return [];
      }
    },
  },
};
</script>
<template>
  <gl-breadcrumb :items="items" />
</template>
